Bug 1478661 - It would be enough if control-center RECOMMENDed NetworkManager-wifi
It would be enough if control-center RECOMMENDed NetworkManager-wifi
Status: NEW
Product: Fedora
Classification: Fedora
Component: gnome-control-center (Show other bugs)
28
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pete Walter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-05 14:42 EDT by Göran Uddeborg
Modified: 2018-05-23 05:17 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Göran Uddeborg 2017-08-05 14:42:24 EDT
When upgrading from an older control-center on a desktop machine without any WiFi card, NetworkManager-wifi and its dependencies were pulled in.  This results in a bit of package pollution, and also in some additional icons and menu entries in the settings menu.

While nothing breaks, it is a bit annoying.  There isn't any reason to have any NetworkManager packages installed at all on this host.  It has a permanent configured IP address on its only (wired) network interface.  The extra cruft in the desktop is only in the way.

I would suggest using the new RPM "recommends" for this dependency instead of "requires".  Unless I'm mistaken, that will have the same effect in the default case; the packages will get installed when control-center is installed.  But it WILL be possible to avoid it, or to uninstall them afterwards, for use cases like this where they are known to be unnecessary.  Possible without making RPM/DNF consider the installation broken, that is.
Comment 1 Fedora End Of Life 2018-05-03 04:24:31 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 2 Göran Uddeborg 2018-05-13 17:20:35 EDT
The package has changed name, but otherwise the situation is the same in F28.  I still think it would be a good idea, so I update the bugzilla.

gnome-control-center-3.28.1-2.fc28.x86_64

Note You need to log in before you can comment on or make changes to this bug.